def sumtree(L, trace=False):                     # Najpierw w głąb — wersja z wykorzystaniem jawnego stosu
    tot = 0
    items = list(L)                              # Zacznij od utworzenia kopii najwyższego poziomu
    while items:
        front = items.pop(0)                     # Pobierz / usuń pierwszy element
        if not isinstance(front, list):
            tot += front                         # Dodaj liczby bezpośrednio
            if trace: print(front, end=', ')
        else:
            items[:0] = front                    # <== Dołączaj kolejne elementy na początku listy zagnieżdżonej
    return tot

